#!/bin/sh
#
# script d'installation de pronote relais
#
#

#########################################################
# fonction de mise  jour Pronote
#########################################################

# On garde les rpertoires de configuration existants et
# on ne remplace que les exe, le fichier de traduction et
# wwwroot:

MettreAJourPronote()
{
    # l'exe
    cp -f pronote_Relais $1
    # le fichier de traduction
    cp -f *FR $1
    # bibliothque borland si elle n'existe pas
    if ! [ -e "$1/libborqt-6.9.0-qt2.3.so" ]; then
	cp libborqt-6.9.0-qt2.3.so $1
    fi
}

#########################################################
#########################################################

# rpertoire source
cd ..
SourceDirectory=`pwd`
# rpertoire Pronote
PronoteRep=`basename $SourceDirectory`

# Vrification que l'installation est lance par root:
if [ `whoami` != "root" ]; then
    echo "l'installation doit etre effectuee en tant que root"
    exit 1
fi

#########################################################

# texte d'info li  l'installation pronote
if [ -f "$SourceDirectory"/bin/recommandations_linux.sh ]; then
	bin/recommandations_linux.sh
fi

echo ""
echo "----------------------------------------------------------"
echo "TAPEZ SUR LA TOUCHE 'entre' POUR CONTINUER L'INSTALLATION"
echo "----------------------------------------------------------"
read touche

#########################################################

# Cration de user/groupe pronote
ExistUserPronote=0
if ! (grep pronote /etc/group > /dev/null) then
    adduser pronote
    # Cration mot de passe pour pronote
    echo "Dfinissez un mot de passe pour l'utilisateur pronote"
    if !(passwd pronote) then
	echo "chec dans la dfinition du mot de passe pour l'utilisateur pronote"
	echo "Recommencez l'installation en lanant ./install.sh"
	userdel -r pronote
	exit 1
    fi
    echo "utilisateur pronote cr"
    ExistUserPronote=1
else
    echo "utilisateur pronote existe dj"
fi

#########################################################

# Cration des rpertoires d'accueil du logiciel
DestDirectory="/home/pronote/pronote7"
echo "$DestDirectory"
if [ -d $DestDirectory ]; then
    echo "mise  jour pronote Relais"
    MettreAJourPronote $DestDirectory
else
    echo "Installation de pronote Relais"
    # cration du rpertoire pour logiciel pronote
    mkdir $DestDirectory
    cp -rf . $DestDirectory
fi

#########################################################

# Installation de la bibliothque borland QT:
# cration du lien pour libborqt-6.9.0 s'il n'a pas t dj cr
if ! [ -h $DestDirectory/libborqt-6.9-qt2.3.so ]; then
    ln -s $DestDirectory/libborqt-6.9.0-qt2.3.so $DestDirectory/libborqt-6.9-qt2.3.so
fi
# ajout de LD_LIBRARY_PATH
if ! (grep "$DestDirectory" /home/pronote/.bashrc > /dev/null) then
    echo "Mise  jour de LD_LIBRARY_PATH pour la bibliothque libborqt-6.9.0-qt2.3.so"
    echo "# modification de LD_LIBRARY_PATH pour pronote" >> /home/pronote/.bashrc
    echo "export LD_LIBRARY_PATH=`echo $DestDirectory`:$LD_LIBRARY_PATH" >> /home/pronote/.bashrc    
fi

# Modification des droits d'utilisation
chown -R pronote:pronote $DestDirectory
